
From: maximilian attems <janitor@sternwelten.at>

Fix hfc_sx section references:
  convert __initdata to __devinitdata.

Error: ./drivers/isdn/hisax/hfc_sx.o .text refers to 0000204d R_386_32
.init.data
Error: ./drivers/isdn/hisax/hfc_sx.o .text refers to 0000205c R_386_32
.init.data
Error: ./drivers/isdn/hisax/hfc_sx.o .text refers to 00002082 R_386_32
.init.data
Error: ./drivers/isdn/hisax/hfc_sx.o .text refers to 0000209f R_386_32
.init.data
Error: ./drivers/isdn/hisax/hfc_sx.o .text refers to 00002114 R_386_32
.init.data
Error: ./drivers/isdn/hisax/hfc_sx.o .text refers to 0000211c R_386_32          
.init.data
Error: ./drivers/isdn/hisax/hfc_sx.o .text refers to 0000212e R_386_32
.init.data

Signed-off-by: maximilian attems <janitor@sternwelten.at>
Acked-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hisax/hfc_sx.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/isdn/hisax/hfc_sx.c~hfc_sx-eliminate-bad-section-references drivers/isdn/hisax/hfc_sx.c
--- 25/drivers/isdn/hisax/hfc_sx.c~hfc_sx-eliminate-bad-section-references	Mon Mar 14 15:28:45 2005
+++ 25-akpm/drivers/isdn/hisax/hfc_sx.c	Mon Mar 14 15:28:45 2005
@@ -1382,14 +1382,14 @@ hfcsx_card_msg(struct IsdnCardState *cs,
 }
 
 #ifdef __ISAPNP__
-static struct isapnp_device_id hfc_ids[] __initdata = {
+static struct isapnp_device_id hfc_ids[] __devinitdata = {
 	{ ISAPNP_VENDOR('T', 'A', 'G'), ISAPNP_FUNCTION(0x2620),
 	  ISAPNP_VENDOR('T', 'A', 'G'), ISAPNP_FUNCTION(0x2620), 
 	  (unsigned long) "Teles 16.3c2" },
 	{ 0, }
 };
 
-static struct isapnp_device_id *ipid __initdata = &hfc_ids[0];
+static struct isapnp_device_id *ipid __devinitdata = &hfc_ids[0];
 static struct pnp_card *pnp_c __devinitdata = NULL;
 #endif
 
_
